function x = mean(this)
% mean  Mean of the observables used to standardize the input data
%
% __Syntax__
%
%     x = mean(a)
%
%
% __Input Arguments__
%
% * `a` [ DFM ] - DFM object.
%
%
% __Output Arguments__
%
% * `x` [ numeric ] - Estimated mean for the vector of the DFM
% observables that has been used to destandardize the input data before
% running principal component estimation.
%
%
% __Description__
%
%
% __Example__
%

% -IRIS Macroeconomic Modeling Toolbox.
% -Copyright (c) 2007-2022 IRIS Solutions Team.


%--------------------------------------------------------------------------

x = this.Mean;

end
